DOMExceptionImpl
Date: 2016-07-03

com.icl.saxon.tree

## Class DOMExceptionImpl

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.w3c.dom.DOMException
        - - com.icl.saxon.tree.DOMExceptionImpl

- All Implemented Interfaces:
    java.io.Serializable

      public class DOMExceptionImpl
      extends org.w3c.dom.DOMException

  DOM operations only raise exceptions in "exceptional" circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable). In general, DOM methods return specific error values in ordinary processing situations, such as out-of-bound errors when using `NodeList` .

  Implementations may raise other exceptions under other circumstances. For example, implementations may raise an implementation-dependent exception if a `null` argument is passed.

  See also the Document Object Model (DOM) Level 2 Specification.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `code`
    `static short` | `DOMSTRING_SIZE_ERR`
    `static short` | `HIERARCHY_REQUEST_ERR`
    `static short` | `INDEX_SIZE_ERR`
    `static short` | `INUSE_ATTRIBUTE_ERR`
    `static short` | `INVALID_ACCESS_ERR`
    `static short` | `INVALID_CHARACTER_ERR`
    `static short` | `INVALID_MODIFICATION_ERR`
    `static short` | `INVALID_STATE_ERR`
    `static short` | `NAMESPACE_ERR`
    `static short` | `NO_DATA_ALLOWED_ERR`
    `static short` | `NO_MODIFICATION_ALLOWED_ERR`
    `static short` | `NOT_FOUND_ERR`
    `static short` | `NOT_SUPPORTED_ERR`
    `static short` | `SYNTAX_ERR`
    `static short` | `WRONG_DOCUMENT_ERR`

    - ### Fields inherited from class org.w3c.dom.DOMException

      `TYPE_MISMATCH_ERR, VALIDATION_ERR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMExceptionImpl(short code, java.lang.String message)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### code

          public short code

    - #### INDEX_SIZE_ERR

          public static final short INDEX_SIZE_ERR

      See Also:
        Constant Field Values

    - #### DOMSTRING_SIZE_ERR

          public static final short DOMSTRING_SIZE_ERR

      See Also:
        Constant Field Values

    - #### HIERARCHY_REQUEST_ERR

          public static final short HIERARCHY_REQUEST_ERR

      See Also:
        Constant Field Values

    - #### WRONG_DOCUMENT_ERR

          public static final short WRONG_DOCUMENT_ERR

      See Also:
        Constant Field Values

    - #### INVALID_CHARACTER_ERR

          public static final short INVALID_CHARACTER_ERR

      See Also:
        Constant Field Values

    - #### NO_DATA_ALLOWED_ERR

          public static final short NO_DATA_ALLOWED_ERR

      See Also:
        Constant Field Values

    - #### NO_MODIFICATION_ALLOWED_ERR

          public static final short NO_MODIFICATION_ALLOWED_ERR

      See Also:
        Constant Field Values

    - #### NOT_FOUND_ERR

          public static final short NOT_FOUND_ERR

      See Also:
        Constant Field Values

    - #### NOT_SUPPORTED_ERR

          public static final short NOT_SUPPORTED_ERR

      See Also:
        Constant Field Values

    - #### INUSE_ATTRIBUTE_ERR

          public static final short INUSE_ATTRIBUTE_ERR

      See Also:
        Constant Field Values

    - #### INVALID_STATE_ERR

          public static final short INVALID_STATE_ERR

      Since:
        DOM Level 2
      See Also:
        Constant Field Values

    - #### SYNTAX_ERR

          public static final short SYNTAX_ERR

      Since:
        DOM Level 2
      See Also:
        Constant Field Values

    - #### INVALID_MODIFICATION_ERR

          public static final short INVALID_MODIFICATION_ERR

      Since:
        DOM Level 2
      See Also:
        Constant Field Values

    - #### NAMESPACE_ERR

          public static final short NAMESPACE_ERR

      Since:
        DOM Level 2
      See Also:
        Constant Field Values

    - #### INVALID_ACCESS_ERR

          public static final short INVALID_ACCESS_ERR

      Since:
        DOM Level 2
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DOMExceptionImpl

          public DOMExceptionImpl(short code,
                          java.lang.String message)